Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.tools.stats
Class TimedStatisticsRecorder

    java.lang.Object
      mx4j.tools.stats.AbstractStatisticsRecorder
          mx4j.tools.stats.ObserverStatisticsRecorder
              mx4j.tools.stats.TimedStatisticsRecorder

All Implemented Interfaces:
  javax.management.MBeanRegistration, ObserverStatisticsRecorderMBean, StatisticsRecorderMBean, TimedStatisticsRecorderMBean

public class TimedStatisticsRecorder
extends ObserverStatisticsRecorder
implements TimedStatisticsRecorderMBean

TimedStatisticsRecorder records statistics of an attribute with a timer polling the value every certain interval

Version:
  $Revision: 1.4 $

Field Summary
`protected long` | `granularity`
`protected boolean` | `registered`
`protected mx4j.tools.stats.TimedStatisticsRecorder.CollectTask` | `task`
`protected static java.util.Timer` | `timer`

Fields inherited from class mx4j.tools.stats.ObserverStatisticsRecorder
`observedAttribute, observedName`

Fields inherited from class mx4j.tools.stats.AbstractStatisticsRecorder
`averageValue, count, entries, isActive, isDouble, maxEntries, maximumValue, minimumValue, recordingStart, server`

Constructor Summary
`TimedStatisticsRecorder()`

Method Summary
`long` | `getGranularity()` Returns how often the MBean will poll the variable value
`void` | `setGranularity(long granularity)` Sets how often the MBean will poll the variable value
`protected void` | `startObserving()`
`protected void` | `stopObserving()`
`java.lang.String` | `toString()`

Methods inherited from class mx4j.tools.stats.ObserverStatisticsRecorder
`doStart, doStop, getObservedAttribute, getObservedObject, setObservedAttribute, setObservedObject`

Methods inherited from class mx4j.tools.stats.AbstractStatisticsRecorder
`addEntry, getAverage, getEntries, getLogger, getMax, getMaxEntries, getMin, getRecordingStart, isActive, postDeregister, postRegister, preDeregister, preRegister, setMaxEntries, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface mx4j.tools.stats.ObserverStatisticsRecorderMBean
`getObservedAttribute, getObservedObject, setObservedAttribute, setObservedObject`

Methods inherited from interface mx4j.tools.stats.StatisticsRecorderMBean
`getAverage, getEntries, getMax, getMaxEntries, getMin, getRecordingStart, isActive, setMaxEntries, start, stop`

Field Detail

### registered

    protected boolean registered

### timer

    protected static java.util.Timer timer

### task

    protected mx4j.tools.stats.TimedStatisticsRecorder.CollectTask task

### granularity

    protected long granularity

Constructor Detail

### TimedStatisticsRecorder

    public TimedStatisticsRecorder()

Method Detail

### setGranularity

    public void setGranularity(long granularity)

  Description copied from interface: `TimedStatisticsRecorderMBean`
  Sets how often the MBean will poll the variable value

  Specified by:
    `setGranularity` in interface `TimedStatisticsRecorderMBean`

### getGranularity

    public long getGranularity()

  Description copied from interface: `TimedStatisticsRecorderMBean`
  Returns how often the MBean will poll the variable value

  Specified by:
    `getGranularity` in interface `TimedStatisticsRecorderMBean`

### toString

    public java.lang.String toString()

### startObserving

    protected void startObserving()
                           throws java.lang.Exception

  Specified by:
    `startObserving` in class `ObserverStatisticsRecorder`
  Throws:
    `java.lang.Exception`

### stopObserving

    protected void stopObserving()
                          throws java.lang.Exception

  Specified by:
    `stopObserving` in class `ObserverStatisticsRecorder`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.